using UnityEngine; //You'll probably need this...

namespace Mod
{
    public class Mod
    {
        public static void Main()
        {
            CategoryBuilder.Create("SCPPE", "Where to find all of the SCP: People Playground Edition Content", ModAPI.LoadSprite("icon/category.png"));

////////////////////////////////////////
/////////////////HUMANS/////////////////
////////////////////////////////////////
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "Zone Manager",
        DescriptionOverride = "Appointed by site directors with permission from O5, they usually oversee specified zones they're assigned to and report important information to the site directors. Only one is needed per zone and is accompanied with a select few of head personnel within their zone.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/zonemanager.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/admin/zonemanager.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "Site Director",
        DescriptionOverride = "Appointed by O5 council, they oversee whole foundation sites and lead all decisions at specific sites with permission from O5. Only one is needed per site and are usually assisted by zone managers within their site.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/sitedirector.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/admin/sitedirector.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "O5 Council",
        DescriptionOverride = "Council members of the SCP Foundation, only 12 exist and their identities are known only to a select few due to security purposes. They are the sole overseer of the foundation and lead all the decisions by the foundation. They rarely ever appear at actual foundation facilities besides their own. They are actually highly discouraged to go to danger prone facilities for safety concerns.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/O5council.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/admin/O5council.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "D-Class",
        DescriptionOverride = "Inmates taken from prisons around the world to be used as test subjects or workers for risky jobs within the foundation. These inmates are usually taken from death row or life sentenced inmates to keep from the public eye. Usually overseen by foundation guards due to their dangerous nature.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/dclass.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/general/dclass.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "E-Class",
        DescriptionOverride = "Foundation staff that have been severely injured physically and/or mentally by the effects of SCPs and/or foundation equipment. Medical Staff are usually tasked with overseeing them and making sure they are in stable condition until fully healed.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/eclass.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/general/eclass.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Janitor",
        DescriptionOverride = "Foundation staff tasked with cleaning, organizing, and sanitizing the sites, areas, and outposts of the foundation. These are one of the lowest ranking staff in the foundation and therefore usually only have “level 0 clearance” within the foundation. They are also not part of any specific department and are considered a general staff member.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/janitor.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/general/janitor.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Medical Staff",
        DescriptionOverride = "Part of the Medical Department, tasked with tending to injured, ill, or mentally unstable staff. Usually located in medical subzones around most sites, larger sites having multiple medical subzones. Commonly equipped with first aid and life saving equipment. Those who have a combat background are instead promoted to a field medic for the security department.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/medicalstaff.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/general/medicalstaff.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Researcher",
        DescriptionOverride = "They're tasked with the work of research and development. They usually study SCPs, research effective ways to contain them, and develop new technology to help with both of the former. If some have previous firearm experience they're allowed to carry a pistol in a holster in case of an urgent emergency but are to immediately evacuate if capable to.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/researcher.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/scientific/researcher.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Lead Researcher",
        DescriptionOverride = "They're tasked with overseeing small research teams and oversee specific research projects. They for the most part report to the head researcher of their zone. If some have previous firearm experience they're allowed to carry a pistol in a holster in case of an urgent emergency but are to immediately evacuate if capable to.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/leadresearcher.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/scientific/leadresearcher.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Head Researcher",
        DescriptionOverride = "They're tasked with overseeing lead researchers and reporting their work directly to the zone manager. Only one is required per zone and is usually stationed in offices in the administration zone. If some have previous firearm experience they're allowed to carry a pistol in a holster in case of an urgent emergency but are to immediately evacuate if capable to.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/headresearcher.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/scientific/headresearcher.png");


            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, null, null, 1);

            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Utility Technician",
        DescriptionOverride = "Part of the Engineering and Technical Service Department and is tasked with foundation structural maintenance and engineering, design and construction of new facilities and sectors, as well as repair, maintenance, and engineering of mechanical and electrical equipment around various sites.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/utilitystaff.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/utility/utilitystaff.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Manufacturing Technician",
        DescriptionOverride = "Part of the Manufacturing Department and is tasked with mass producing custom made equipment and weapons for the foundation and providing material requests from the foundation during certain processes.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/manufacturer.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/utility/manufacturer.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Transport Personnel",
        DescriptionOverride = "Part of the Logistics Department and is tasked with transporting material, financial, human, and anomalous resources between foundation facilities. There is also a priority system in place usually with anomalies and important resources at the top. Transportation is offered from a wide range of vehicles including automotive, water, railroad, aerial, space, and others.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/logistics.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/utility/logistics.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Light Security Officer",
        DescriptionOverride = "A budget version of a standard security officer, teams are usually only with pistols, protective vests, and ballistic helmets. They're mostly stationed in surface to administration zones of foundation facilities and are the first to protect against outside threats.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/lightsiteguard.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/security/lightsiteguard.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Security Officer",
        DescriptionOverride = "A standard foundation security officer, usually equipped with a standard rifle, a pistol sidearm, a protective vest, and a tactical helmet. They're mostly stationed in administration to medium containment zones at foundation facilities and are rare outside of them, excluding during emergencies. They also come with a medical variant for combat medical purposes.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/siteguard.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/security/siteguard.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Medical Security Officer",
        DescriptionOverride = "The medical variant of the Security officer for combat medical purposes.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/medicguard.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/security/medicguard.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Elite Security Officer",
        DescriptionOverride = "A higher trained security officer, teams are usually equipped with standard rifles, a high caliber rifle, a shotgun, protective vests, and tactical helmets. They're mostly stationed at lower subterranean levels within medium to heavy containment zones due to better training with keter level SCPs.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/elitesiteguard.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/security/elitesiteguard.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Tactical Response Unit",
        DescriptionOverride = "The highest trained security officer, teams are usually equipped with standard rifles, a couple high caliber rifles, a couple shotguns, protective vests, and tactical helmets. They're usually stationed on a surface base connected to a site in case of rapid deployment for an emergency. They also come with a medical variant for combat medical purposes. If promoted, they're usually sent to a designated MTF for specialized training and deployment.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/tru.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/security/tru.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Medical Tactical Response Unit", 
        DescriptionOverride = "The medical variant of the Tactical Response Unit for combat medical purposes.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/medictru.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/security/medictru.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Alpha-1 Unit",
        DescriptionOverride = "This MTF is the only MTF that reports directly to O5 council, which is used for situations that require the strictest of operational security. They consist of the best and most loyal operatives, basically the right hand man of the O5 council.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/alpha1.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/alpha1/alpha1.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Epsilon-11 Unit",
        DescriptionOverride = "This MTF handles internal security under oversight from Alpha-1, they are a special operations unit deployed when standard protocols fail and multiple breaches are imminent. Due to their nature, most of their operations are classified.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/epsilon11.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/epsilon11/epsilon11.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Nu-7 Unit",
        DescriptionOverride = "This MTF is a battalion-strength force consisting of three company-sized elements of special operations infantry forces, including a light armored vehicle company, a tank platoon, helicopter squadron, a chemical-biological-radiological-nuclear platoon, combat engineer platoon, nuclear weapon specialist squad, and additional combat support and specialists. They're tasked with responding to incidents that involve loss of communication with major foundation sites, a site-wide mass breach, enemy compromises, and similar catastrophic events. Some consider this part of the foundation “military”, due to them having a military structure, military vehicles, and military protocols. Has a medical and heavy variant, to use the heavy, just put the heavy armor on a standard nu-7 unit.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/nu7.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/nu7/nu7.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Nu-7 Medical Unit",
        DescriptionOverride = "This MTF is a battalion-strength force consisting of three company-sized elements of special operations infantry forces, including a light armored vehicle company, a tank platoon, helicopter squadron, a chemical-biological-radiological-nuclear platoon, combat engineer platoon, nuclear weapon specialist squad, and additional combat support and specialists. They're tasked with responding to incidents that involve loss of communication with major foundation sites, a site-wide mass breach, enemy compromises, and similar catastrophic events. Some consider this part of the foundation “military”, due to them having a military structure, military vehicles, and military protocols. Has a medical and heavy variant, to use the heavy, just put the heavy armor on a standard nu-7 unit.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/medicnu7.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/nu7/medicnu7.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Beta-7 Unit",
        DescriptionOverride = "This MTF specializes in the swift acquisition and containment of anomalies exhibiting extreme biological, chemical, or radiological hazards. They also specialize in cleanup of areas affected by contamination.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/beta7.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/beta7/beta7.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Epsilon-9 Unit",
        DescriptionOverride = "This MTF specializes in the use of incendiary weapons and with operations that include high-temperature environments, individuals, and objects. They are also called in with Beta-7 from time to time for incendiary decontamination.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/epsilon9.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/epsilon9/epsilon9.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Zeta-9 Unit",
        DescriptionOverride = "This MTF specializes in the investigation, exploration, and containment of subterranean or enclosed spaces exhibiting anomalous phenomena. Including those with inconsistent topography or unstable spacetime. They take on an earthy light brownish-tan theme due to their nature with subterranean exploration.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/zeta9.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/zeta9/zeta9.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Android"), 
        NameOverride = "(SCPPE) Tau-5 Unit",
        DescriptionOverride = "These are immortal cyborg clones created from the flesh of a dead god. They utilize esoteric and experimental foundation technology to investigate and contain thaumaturgic, magical, and psionic threats.", 
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"), 
        ThumbnailOverride = ModAPI.LoadSprite("icon/tau5.png"), 
        AfterSpawn = (Instance) => 
        {
            var skin = ModAPI.LoadTexture("assets/tau5/tau5.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, null, null, 1);
            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Field Agent",
        DescriptionOverride = "Used for an armed foundation workforce outside of SCP facilities, whether as patrol security outside site perimeters or for non-branded combat personnel.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/fieldagent.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/dea/fieldagent.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Recruiter",
        DescriptionOverride = "Used to search, find, and recruit staff whether it being combat or non-combat oriented and also used to find applicable prisoners to be recruited as d-class.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/recruiter.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/dea/recruiter.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Consealer",
        DescriptionOverride = "They are used to conceal and prevent compromises of foundation facilities, SCPs, and points of interest of the foundation.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/consealer.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/dea/consealer.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Diplomat",
        DescriptionOverride = "They are used for managing relations with various other organizations, sovereign nations, corporations/companies, international authorities, the UN and it's anomaly division the GOC.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/diplomat.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/dea/diplomat.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Ethics Representative",
        DescriptionOverride = "They are responsible for observing and reporting any unethical or immoral activities going on within the rule of the foundation against SCPs, D-Class, and improper use of dangerous weapons, equipment, or harmful devices against sentient creatures whether human or not. They are actually taken as a joke to many but have a surprising influence on how the foundation runs.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/ethicsrepresentative.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/ethics/ethicsrepresentative.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Omega-1 Unit",
        DescriptionOverride = "They are tasked with arresting and imprisoning or capturing and eliminating personnel that have validated the ethical and moral laws within foundation jurisdiction. They are also operation security for ethics committee members in case of foul play. They are sent in with a couple ethics representatives upon a report of unethical actions transpiring in a site, once the representatives have assessed the situation, depending on the severity of the violation, they will either arrest and put the violator on trail or arrest the violator and sentence them to death in which they are terminated.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/omega1.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/ethics/omega1.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
      new Modification()
      {
          OriginalItem = ModAPI.FindSpawnable("Human"),
          NameOverride = "(SCPPE) CBRN D-Class",
          DescriptionOverride = "Chemical-biological-radiological-nuclear protected D-Class.",
          NameToOrderByOverride = "A",
          CategoryOverride = ModAPI.FindCategory("SCPPE"),
          ThumbnailOverride = ModAPI.LoadSprite("icon/hazmatdclass.png"),
          AfterSpawn = (Instance) =>
          {
            var backpack = new GameObject("Backpack");
            backpack.transform.SetParent(Instance.transform.Find("Body").Find("UpperBody"));
            backpack.transform.localPosition = new Vector3(0.01f, 0f);
            backpack.transform.localScale = new Vector3(1f, 1f);
            var backpackSprite = backpack.AddComponent<SpriteRenderer>();
            backpackSprite.sprite = ModAPI.LoadSprite("assets/cbrn/dclasstank.png");
            backpack.GetComponent<SpriteRenderer>().sortingLayerName = "Mid";
              var skin = ModAPI.LoadTexture("assets/cbrn/hazmatdclass.png");




              var person = Instance.GetComponent<PersonBehaviour>();


              person.SetBodyTextures(skin, null, null, 1);


              person.SetBruiseColor(145, 30, 30);
              person.SetSecondBruiseColor(60, 0, 0);
              person.SetThirdBruiseColor(30, 0, 0);
              person.SetRottenColour(202, 199, 104);
              person.SetBloodColour(108, 0, 4);
               }
          }
     );
            ModAPI.Register(
      new Modification()
      {
          OriginalItem = ModAPI.FindSpawnable("Human"),
          NameOverride = "(SCPPE) CBRN Researcher",
          DescriptionOverride = "Chemical-biological-radiological-nuclear protected Researcher.",
          NameToOrderByOverride = "A",
          CategoryOverride = ModAPI.FindCategory("SCPPE"),
          ThumbnailOverride = ModAPI.LoadSprite("icon/hazmatresearcher.png"),
          AfterSpawn = (Instance) =>
          {
            var backpack = new GameObject("Backpack");
            backpack.transform.SetParent(Instance.transform.Find("Body").Find("UpperBody"));
            backpack.transform.localPosition = new Vector3(0.01f, 0f);
            backpack.transform.localScale = new Vector3(1f, 1f);
            var backpackSprite = backpack.AddComponent<SpriteRenderer>();
            backpackSprite.sprite = ModAPI.LoadSprite("assets/cbrn/researchertank.png");
            backpack.GetComponent<SpriteRenderer>().sortingLayerName = "Mid";
              var skin = ModAPI.LoadTexture("assets/cbrn/hazmatresearcher.png");




              var person = Instance.GetComponent<PersonBehaviour>();


              person.SetBodyTextures(skin, null, null, 1);


              person.SetBruiseColor(145, 30, 30);
              person.SetSecondBruiseColor(60, 0, 0);
              person.SetThirdBruiseColor(30, 0, 0);
              person.SetRottenColour(202, 199, 104);
              person.SetBloodColour(108, 0, 4);
               }
          }
     );
            ModAPI.Register(
      new Modification()
      {
          OriginalItem = ModAPI.FindSpawnable("Human"),
          NameOverride = "(SCPPE) CBRN Security Officer",
          DescriptionOverride = "Chemical-biological-radiological-nuclear protected security officer.",
          NameToOrderByOverride = "A",
          CategoryOverride = ModAPI.FindCategory("SCPPE"),
          ThumbnailOverride = ModAPI.LoadSprite("icon/hazmatguard.png"),
          AfterSpawn = (Instance) =>
          {
            var backpack = new GameObject("Backpack");
            backpack.transform.SetParent(Instance.transform.Find("Body").Find("UpperBody"));
            backpack.transform.localPosition = new Vector3(0.01f, 0f);
            backpack.transform.localScale = new Vector3(1f, 1f);
            var backpackSprite = backpack.AddComponent<SpriteRenderer>();
            backpackSprite.sprite = ModAPI.LoadSprite("assets/cbrn/guardtank.png");
            backpack.GetComponent<SpriteRenderer>().sortingLayerName = "Mid";
              var skin = ModAPI.LoadTexture("assets/cbrn/hazmatguard.png");




              var person = Instance.GetComponent<PersonBehaviour>();


              person.SetBodyTextures(skin, null, null, 1);


              person.SetBruiseColor(145, 30, 30);
              person.SetSecondBruiseColor(60, 0, 0);
              person.SetThirdBruiseColor(30, 0, 0);
              person.SetRottenColour(202, 199, 104);
              person.SetBloodColour(108, 0, 4);
               }
          }
     );
            ModAPI.Register(
      new Modification()
      {
          OriginalItem = ModAPI.FindSpawnable("Human"),
          NameOverride = "(SCPPE) CBRN TRU Unit",
          DescriptionOverride = "Chemical-biological-radiological-nuclear protected TRU unit.",
          NameToOrderByOverride = "A",
          CategoryOverride = ModAPI.FindCategory("SCPPE"),
          ThumbnailOverride = ModAPI.LoadSprite("icon/hazmattru.png"),
          AfterSpawn = (Instance) =>
          {
            var backpack = new GameObject("Backpack");
            backpack.transform.SetParent(Instance.transform.Find("Body").Find("UpperBody"));
            backpack.transform.localPosition = new Vector3(0.01f, 0f);
            backpack.transform.localScale = new Vector3(1f, 1f);
            var backpackSprite = backpack.AddComponent<SpriteRenderer>();
            backpackSprite.sprite = ModAPI.LoadSprite("assets/cbrn/trutank.png");
            backpack.GetComponent<SpriteRenderer>().sortingLayerName = "Mid";
              var skin = ModAPI.LoadTexture("assets/cbrn/hazmattru.png");




              var person = Instance.GetComponent<PersonBehaviour>();


              person.SetBodyTextures(skin, null, null, 1);


              person.SetBruiseColor(145, 30, 30);
              person.SetSecondBruiseColor(60, 0, 0);
              person.SetThirdBruiseColor(30, 0, 0);
              person.SetRottenColour(202, 199, 104);
              person.SetBloodColour(108, 0, 4);
               }
          }
     );
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) GOC Undersecretariat",
        DescriptionOverride = "They are the standing administrator of the GOC and make the internal decisions of the organization with permission from the Secretary-General of the UN.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/gocdirector.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/goc/gocdirector.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) GOC Nexus Advisor",
        DescriptionOverride = "They are the managers of different sectors of the GOC, they oversee and make the more localized decisions with permission from the Undersecretariat.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/gocnexus.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/goc/gocnexus.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) GOC Ambassador",
        DescriptionOverride = "They are the diplomats of the GOC, maintaining direct relations with non-hostile organizations, sovereign nations, corporations/companies, international authorities, and the SCP Foundation.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/gocambassador.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/goc/gocambassador.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) GOC Research and Development Team",
        DescriptionOverride = "They are the scientists of the GOC, they research tactics and technology to swiftly and efficiently eliminate parathreats within their jurisdiction.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/gocresearcher.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/goc/gocresearcher.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) GOC Quartermaster",
        DescriptionOverride = "They are the logistics and support of the GOC, they handle distribution and coordination of weapons, armor, equipment, food, and currency to various facilities of the GOC.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/gocquartermaster.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/goc/gocquartermaster.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) GOC Assessment Team",
        DescriptionOverride = "They are the armed workforce of the GOC, they are the equivalent to the UN peacekeeping forces and usually protect GOC facilities and personnel from enemy compromises and parathreats, they also investigate and observe parathreats.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/gocsoldier.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/goc/gocsoldier.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) GOC Strike Team",
        DescriptionOverride = "They are the task force of the GOC, specializing in capturing and eliminating parathreats and protecting high ranking personnel of the GOC.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/goctaskforce.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/goc/goctaskforce.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
      new Modification()
      {
          OriginalItem = ModAPI.FindSpawnable("Human"),
          NameOverride = "(SCPPE) CBRN GOC Scientist",
          DescriptionOverride = "Chemical-biological-radiological-nuclear protected GOC research and development unit.",
          NameToOrderByOverride = "A",
          CategoryOverride = ModAPI.FindCategory("SCPPE"),
          ThumbnailOverride = ModAPI.LoadSprite("icon/gochazmatscientist.png"),
          AfterSpawn = (Instance) =>
          {
            var backpack = new GameObject("Backpack");
            backpack.transform.SetParent(Instance.transform.Find("Body").Find("UpperBody"));
            backpack.transform.localPosition = new Vector3(0.01f, 0f);
            backpack.transform.localScale = new Vector3(1f, 1f);
            var backpackSprite = backpack.AddComponent<SpriteRenderer>();
            backpackSprite.sprite = ModAPI.LoadSprite("assets/cbrn/gocscientisttank.png");
            backpack.GetComponent<SpriteRenderer>().sortingLayerName = "Mid";
              var skin = ModAPI.LoadTexture("assets/cbrn/gochazmatscientist.png");




              var person = Instance.GetComponent<PersonBehaviour>();


              person.SetBodyTextures(skin, null, null, 1);


              person.SetBruiseColor(145, 30, 30);
              person.SetSecondBruiseColor(60, 0, 0);
              person.SetThirdBruiseColor(30, 0, 0);
              person.SetRottenColour(202, 199, 104);
              person.SetBloodColour(108, 0, 4);
               }
          }
     );
            ModAPI.Register(
      new Modification()
      {
          OriginalItem = ModAPI.FindSpawnable("Human"),
          NameOverride = "(SCPPE) CBRN GOC Strike Team",
          DescriptionOverride = "Chemical-biological-radiological-nuclear protected GOC strike team unit.",
          NameToOrderByOverride = "A",
          CategoryOverride = ModAPI.FindCategory("SCPPE"),
          ThumbnailOverride = ModAPI.LoadSprite("icon/gochazmattaskforce.png"),
          AfterSpawn = (Instance) =>
          {
            var backpack = new GameObject("Backpack");
            backpack.transform.SetParent(Instance.transform.Find("Body").Find("UpperBody"));
            backpack.transform.localPosition = new Vector3(0.01f, 0f);
            backpack.transform.localScale = new Vector3(1f, 1f);
            var backpackSprite = backpack.AddComponent<SpriteRenderer>();
            backpackSprite.sprite = ModAPI.LoadSprite("assets/cbrn/goctaskforcetank.png");
            backpack.GetComponent<SpriteRenderer>().sortingLayerName = "Mid";
              var skin = ModAPI.LoadTexture("assets/cbrn/gochazmattaskforce.png");




              var person = Instance.GetComponent<PersonBehaviour>();


              person.SetBodyTextures(skin, null, null, 1);


              person.SetBruiseColor(145, 30, 30);
              person.SetSecondBruiseColor(60, 0, 0);
              person.SetThirdBruiseColor(30, 0, 0);
              person.SetRottenColour(202, 199, 104);
              person.SetBloodColour(108, 0, 4);
               }
          }
     );
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Chaos Standard Soldier",
        DescriptionOverride = "They are used as the sole combatant workforce of the CI and are the ones used to attack SCP facilities, take SCPs, and recruit new members. Also comes with a heavy variant.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/chaossoldier.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/chaos/chaossoldier.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Chaos Heavy Soldier",
        DescriptionOverride = "They are used as the sole combatant workforce of the CI and are the ones used to attack SCP facilities, take SCPs, and recruit new members. Also comes with a heavy variant.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/chaosheavy.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/chaos/chaosheavy.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Chaos Squad Officer",
        DescriptionOverride = "They are used as the leader of 4-8 people within a squad, they take orders directly from members of Delta Command.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/chaosofficer.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/chaos/chaosofficer.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Serpent Follower",
        DescriptionOverride = "This is just a standard follower of the serpent's hand and believe in their cause. They are usually not armed but have been seen with a few pistols from time to time. They do not fight normally and are just there to serve.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/serpentfollow.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/serpent/serpentfollow.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Serpent Soldier",
        DescriptionOverride = "These are the combatant followers of the serpent’s hand and are directed to attack enemy facilities and to eliminate anyone from a hostile organization that they come in contact with.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/serpentsoldier.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/serpent/serpentsoldier.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Serpent Leader",
        DescriptionOverride = "One of the local leaders of serpent’s hand, they do the local management of platoons of followers and of combatants.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/serpentleader.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/serpent/serpentleader.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) UIU Standard Unit",
        DescriptionOverride = "The main combatant workforce of the UIU, since the collapse of the USSR they have mainly been trying to report anomalies to either the foundation or the GOC while protecting civilians and their own personnel from anomalies as their main priority instead of trying to frantically find ways of utilizing them. They also have a heavy and medical variant.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/fbi.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/uiu/fbi.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) UIU Heavy Unit",
        DescriptionOverride = "The main combatant workforce of the UIU, since the collapse of the USSR they have mainly been trying to report anomalies to either the foundation or the GOC while protecting civilians and their own personnel from anomalies as their main priority instead of trying to frantically find ways of utilizing them. They also have a heavy and medical variant.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/fbiheavy.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/uiu/fbiheavy.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) UIU Medical Unit",
        DescriptionOverride = "The main combatant workforce of the UIU, since the collapse of the USSR they have mainly been trying to report anomalies to either the foundation or the GOC while protecting civilians and their own personnel from anomalies as their main priority instead of trying to frantically find ways of utilizing them. They also have a heavy and medical variant.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/fbimedic.png"),
        AfterSpawn = (Instance) =>
        {
            var skin = ModAPI.LoadTexture("assets/uiu/fbimedic.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, null, null, 1);

            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) UIU Undercover Unit",
        DescriptionOverride = "They are used for covert operations in public areas, including spying on any hostile organization, covering up any paranormal events, and watching for any reports of paranormal phenomena.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/fbiundercover.png"),
        AfterSpawn = (Instance) => 
        {
            var skin = ModAPI.LoadTexture("assets/uiu/fbiundercover.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, null, null, 1);

            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
///////////////////////////
///////////ARMOR///////////
///////////////////////////
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(SCPPE) Utility Helmet",
                    DescriptionOverride = "Utility equipment that includes a helmet for impact protection and a yellow safety vest for high visibility.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/utilityequipment.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("assets/utility/utilityhelmet.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 1;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        Vector3 offset = new Vector3(.00f, 0);
                        Vector3 scaleOffset = new Vector3(.00f, .00f);

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "Head";
                        prop.armorTier = 0;
                        prop.sprite = ModAPI.LoadSprite("assets/utility/utilityhelmet.png");
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 1;

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }

                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(SCPPE) Light Security Armor",
                    DescriptionOverride = "Tactical vest, ballistic helmet.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/lightsecurityarmor.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("assets/security/securityupper.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 4;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        Vector3 offset = new Vector3(.00f, 0);
                        Vector3 scaleOffset = new Vector3(.00f, .00f);

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 2;
                        prop.sprite = ModAPI.LoadSprite("assets/security/securityupper.png");
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 20;

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("assets/security/ballistichelmet.png");
                        armProp[0].armorPiece = "Head";
                        armProp[0].armorTier = 2;
                        armProp[0].offset = offset;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 15;

                        armProp[1].sprite = ModAPI.LoadSprite("assets/security/securitymiddle.png");
                        armProp[1].armorPiece = "MiddleBody";
                        armProp[1].armorTier = 2;
                        armProp[1].offset = offset;
                        armProp[1].scaleOffset = scaleOffset;
                        armProp[1].armorPoints = 15;

                        armProp[2].sprite = ModAPI.LoadSprite("assets/security/securitylower.png");
                        armProp[2].armorPiece = "LowerBody";
                        armProp[2].armorTier = 2;
                        armProp[2].offset = offset;
                        armProp[2].scaleOffset = scaleOffset;
                        armProp[2].armorPoints = 15;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(SCPPE) Standard Security Armor",
                    DescriptionOverride = "Tactical vest, and tactical helmet.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/securityarmor.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("assets/security/securityupper.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 4;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        Vector3 offset = new Vector3(.00f, 0);
                        Vector3 scaleOffset = new Vector3(.00f, .00f);

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 2;
                        prop.sprite = ModAPI.LoadSprite("assets/security/securityupper.png");
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 20;

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("assets/security/securityhelmet.png");
                        armProp[0].armorPiece = "Head";
                        armProp[0].armorTier = 2;
                        armProp[0].offset = offset;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 15;

                        armProp[1].sprite = ModAPI.LoadSprite("assets/security/securitymiddle.png");
                        armProp[1].armorPiece = "MiddleBody";
                        armProp[1].armorTier = 2;
                        armProp[1].offset = offset;
                        armProp[1].scaleOffset = scaleOffset;
                        armProp[1].armorPoints = 15;

                        armProp[2].sprite = ModAPI.LoadSprite("assets/security/securitylower.png");
                        armProp[2].armorPiece = "LowerBody";
                        armProp[2].armorTier = 2;
                        armProp[2].offset = offset;
                        armProp[2].scaleOffset = scaleOffset;
                        armProp[2].armorPoints = 15;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(SCPPE) Medical Security Armor",
                    DescriptionOverride = "Security chest armor with a medical security helmet.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/medicalsecurityequipment.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("assets/security/securityupper.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 4;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        Vector3 offset = new Vector3(.00f, 0);
                        Vector3 scaleOffset = new Vector3(.00f, .00f);

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 2;
                        prop.sprite = ModAPI.LoadSprite("assets/security/securityupper.png");
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 20;

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("assets/security/medichelmet.png");
                        armProp[0].armorPiece = "Head";
                        armProp[0].armorTier = 2;
                        armProp[0].offset = offset;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 15;

                        armProp[1].sprite = ModAPI.LoadSprite("assets/security/securitymiddle.png");
                        armProp[1].armorPiece = "MiddleBody";
                        armProp[1].armorTier = 2;
                        armProp[1].offset = offset;
                        armProp[1].scaleOffset = scaleOffset;
                        armProp[1].armorPoints = 15;

                        armProp[2].sprite = ModAPI.LoadSprite("assets/security/securitylower.png");
                        armProp[2].armorPiece = "LowerBody";
                        armProp[2].armorTier = 2;
                        armProp[2].offset = offset;
                        armProp[2].scaleOffset = scaleOffset;
                        armProp[2].armorPoints = 15;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(SCPPE) Elite Security Armor",
                    DescriptionOverride = "Tactical vest and a level elite tactical helmet.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/elitesecurityarmor.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("assets/security/securityupper.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 4;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        Vector3 offset = new Vector3(.00f, 0);
                        Vector3 scaleOffset = new Vector3(.00f, .00f);

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 2;
                        prop.sprite = ModAPI.LoadSprite("assets/security/securityupper.png");
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 20;

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("assets/security/elitesecurityhelmet.png");
                        armProp[0].armorPiece = "Head";
                        armProp[0].armorTier = 2;
                        armProp[0].offset = offset;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 15;

                        armProp[1].sprite = ModAPI.LoadSprite("assets/security/securitymiddle.png");
                        armProp[1].armorPiece = "MiddleBody";
                        armProp[1].armorTier = 2;
                        armProp[1].offset = offset;
                        armProp[1].scaleOffset = scaleOffset;
                        armProp[1].armorPoints = 15;

                        armProp[2].sprite = ModAPI.LoadSprite("assets/security/securitylower.png");
                        armProp[2].armorPiece = "LowerBody";
                        armProp[2].armorTier = 2;
                        armProp[2].offset = offset;
                        armProp[2].scaleOffset = scaleOffset;
                        armProp[2].armorPoints = 15;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(SCPPE) TRU Security Armor",
                    DescriptionOverride = "Tactical vest and an TRU tactical helmet.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/trusecurityarmor.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("assets/security/securityupper.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 4;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        Vector3 offset = new Vector3(.00f, 0);
                        Vector3 scaleOffset = new Vector3(.00f, .00f);

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 2;
                        prop.sprite = ModAPI.LoadSprite("assets/security/securityupper.png");
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 20;

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("assets/security/truhelmet.png");
                        armProp[0].armorPiece = "Head";
                        armProp[0].armorTier = 2;
                        armProp[0].offset = offset;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 15;

                        armProp[1].sprite = ModAPI.LoadSprite("assets/security/securitymiddle.png");
                        armProp[1].armorPiece = "MiddleBody";
                        armProp[1].armorTier = 2;
                        armProp[1].offset = offset;
                        armProp[1].scaleOffset = scaleOffset;
                        armProp[1].armorPoints = 15;

                        armProp[2].sprite = ModAPI.LoadSprite("assets/security/securitylower.png");
                        armProp[2].armorPiece = "LowerBody";
                        armProp[2].armorTier = 2;
                        armProp[2].offset = offset;
                        armProp[2].scaleOffset = scaleOffset;
                        armProp[2].armorPoints = 15;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(SCPPE) Medical TRU Armor",
                    DescriptionOverride = "TRU chest armor and a medical TRU helmet.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/medicaltruequipment.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("assets/security/securityupper.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 4;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        Vector3 offset = new Vector3(.00f, 0);
                        Vector3 scaleOffset = new Vector3(.00f, .00f);

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 2;
                        prop.sprite = ModAPI.LoadSprite("assets/security/securityupper.png");
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 20;

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("assets/security/medictruhelmet.png");
                        armProp[0].armorPiece = "Head";
                        armProp[0].armorTier = 2;
                        armProp[0].offset = offset;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 15;

                        armProp[1].sprite = ModAPI.LoadSprite("assets/security/securitymiddle.png");
                        armProp[1].armorPiece = "MiddleBody";
                        armProp[1].armorTier = 2;
                        armProp[1].offset = offset;
                        armProp[1].scaleOffset = scaleOffset;
                        armProp[1].armorPoints = 15;

                        armProp[2].sprite = ModAPI.LoadSprite("assets/security/securitylower.png");
                        armProp[2].armorPiece = "LowerBody";
                        armProp[2].armorTier = 2;
                        armProp[2].offset = offset;
                        armProp[2].scaleOffset = scaleOffset;
                        armProp[2].armorPoints = 15;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(SCPPE) Alpha-1 Armor",
                    DescriptionOverride = "Standard MTF Vest, Alpha-1 Helmet, Alpha-1 Leg and Arm Armor.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/alpha1equipment.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("assets/alpha1/alpha1upper.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 6;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        Vector3 offset = new Vector3(.00f, 0);
                        Vector3 scaleOffset = new Vector3(.00f, .00f);

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 2;
                        prop.sprite = ModAPI.LoadSprite("assets/alpha1/alpha1upper.png");
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 20;

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("assets/alpha1/alpha1helmet.png");
                        armProp[0].armorPiece = "Head";
                        armProp[0].armorTier = 2;
                        armProp[0].offset = offset;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 15;

                        armProp[1].sprite = ModAPI.LoadSprite("assets/alpha1/alpha1middle.png");
                        armProp[1].armorPiece = "MiddleBody";
                        armProp[1].armorTier = 2;
                        armProp[1].offset = offset;
                        armProp[1].scaleOffset = scaleOffset;
                        armProp[1].armorPoints = 15;

                        armProp[2].sprite = ModAPI.LoadSprite("assets/alpha1/alpha1lower.png");
                        armProp[2].armorPiece = "LowerBody";
                        armProp[2].armorTier = 2;
                        armProp[2].offset = offset;
                        armProp[2].scaleOffset = scaleOffset;
                        armProp[2].armorPoints = 15;

                        armProp[3].sprite = ModAPI.LoadSprite("assets/alpha1/alpha1upperarm.png");
                        armProp[3].armorPiece = "UpperArm";
                        armProp[3].armorTier = 2;
                        armProp[3].offset = offset;
                        armProp[3].scaleOffset = scaleOffset;
                        armProp[3].clone = true;
                        armProp[3].armorPoints = 15;

                        armProp[4].sprite = ModAPI.LoadSprite("assets/alpha1/alpha1upperleg.png");
                        armProp[4].armorPiece = "UpperLeg";
                        armProp[4].armorTier = 2;
                        armProp[4].offset = offset;
                        armProp[4].scaleOffset = scaleOffset;
                        armProp[4].clone = true;
                        armProp[4].armorPoints = 15;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(SCPPE) Epsilon-11 Armor",
                    DescriptionOverride = "Standard MTF Vest, Epsilon-11 Helmet, Epsilon-11 Leg and Arm Armor.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/epsilon11equipment.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("assets/epsilon11/epsilon11upper.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 6;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        Vector3 offset = new Vector3(.00f, 0);
                        Vector3 scaleOffset = new Vector3(.00f, .00f);

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 2;
                        prop.sprite = ModAPI.LoadSprite("assets/epsilon11/epsilon11upper.png");
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 20;

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("assets/epsilon11/epsilon11helmet.png");
                        armProp[0].armorPiece = "Head";
                        armProp[0].armorTier = 2;
                        armProp[0].offset = offset;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 15;

                        armProp[1].sprite = ModAPI.LoadSprite("assets/epsilon11/epsilon11middle.png");
                        armProp[1].armorPiece = "MiddleBody";
                        armProp[1].armorTier = 2;
                        armProp[1].offset = offset;
                        armProp[1].scaleOffset = scaleOffset;
                        armProp[1].armorPoints = 15;

                        armProp[2].sprite = ModAPI.LoadSprite("assets/epsilon11/epsilon11lower.png");
                        armProp[2].armorPiece = "LowerBody";
                        armProp[2].armorTier = 2;
                        armProp[2].offset = offset;
                        armProp[2].scaleOffset = scaleOffset;
                        armProp[2].armorPoints = 15;

                        armProp[3].sprite = ModAPI.LoadSprite("assets/epsilon11/epsilon11upperarm.png");
                        armProp[3].armorPiece = "UpperArm";
                        armProp[3].armorTier = 2;
                        armProp[3].offset = offset;
                        armProp[3].scaleOffset = scaleOffset;
                        armProp[3].clone = true;
                        armProp[3].armorPoints = 15;

                        armProp[4].sprite = ModAPI.LoadSprite("assets/epsilon11/epsilon11upperleg.png");
                        armProp[4].armorPiece = "UpperLeg";
                        armProp[4].armorTier = 2;
                        armProp[4].offset = offset;
                        armProp[4].scaleOffset = scaleOffset;
                        armProp[4].clone = true;
                        armProp[4].armorPoints = 15;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(SCPPE) Nu-7 Light Armor",
                    DescriptionOverride = "Standard MTF Vest, Nu-7 Light Helmet.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/nu7lightequipment.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("assets/nu7/nu7upper.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 4;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        Vector3 offset = new Vector3(.00f, 0);
                        Vector3 scaleOffset = new Vector3(.00f, .00f);

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 2;
                        prop.sprite = ModAPI.LoadSprite("assets/nu7/nu7upper.png");
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 20;

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("assets/nu7/nu7lighthelmet.png");
                        armProp[0].armorPiece = "Head";
                        armProp[0].armorTier = 2;
                        armProp[0].offset = offset;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 15;

                        armProp[1].sprite = ModAPI.LoadSprite("assets/nu7/nu7middle.png");
                        armProp[1].armorPiece = "MiddleBody";
                        armProp[1].armorTier = 2;
                        armProp[1].offset = offset;
                        armProp[1].scaleOffset = scaleOffset;
                        armProp[1].armorPoints = 15;

                        armProp[2].sprite = ModAPI.LoadSprite("assets/nu7/nu7lower.png");
                        armProp[2].armorPiece = "LowerBody";
                        armProp[2].armorTier = 2;
                        armProp[2].offset = offset;
                        armProp[2].scaleOffset = scaleOffset;
                        armProp[2].armorPoints = 15;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(SCPPE) Medical Nu-7 Armor",
                    DescriptionOverride = "Nu-7 chest armor and a medical Nu-7 helmet.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/nu7medicequipment.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("assets/nu7/nu7upper.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 4;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        Vector3 offset = new Vector3(.00f, 0);
                        Vector3 scaleOffset = new Vector3(.00f, .00f);

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 2;
                        prop.sprite = ModAPI.LoadSprite("assets/nu7/nu7upper.png");
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 20;

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("assets/nu7/medicnu7helmet.png");
                        armProp[0].armorPiece = "Head";
                        armProp[0].armorTier = 2;
                        armProp[0].offset = offset;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 15;

                        armProp[1].sprite = ModAPI.LoadSprite("assets/nu7/nu7middle.png");
                        armProp[1].armorPiece = "MiddleBody";
                        armProp[1].armorTier = 2;
                        armProp[1].offset = offset;
                        armProp[1].scaleOffset = scaleOffset;
                        armProp[1].armorPoints = 15;

                        armProp[2].sprite = ModAPI.LoadSprite("assets/nu7/nu7lower.png");
                        armProp[2].armorPiece = "LowerBody";
                        armProp[2].armorTier = 2;
                        armProp[2].offset = offset;
                        armProp[2].scaleOffset = scaleOffset;
                        armProp[2].armorPoints = 15;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(SCPPE) Nu-7 Heavy Armor",
                    DescriptionOverride = "Nu-7 Heavy Vest, Nu-7 Heavy Helmet, Nu-7 Heavy Leg and Arm Armor.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/nu7heavyequipment.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("assets/nu7/nu7upper.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 6;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        Vector3 offset = new Vector3(.00f, 0);
                        Vector3 scaleOffset = new Vector3(.00f, .00f);

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 2;
                        prop.sprite = ModAPI.LoadSprite("assets/nu7/nu7upper.png");
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 20;

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("assets/nu7/nu7heavyhelmet.png");
                        armProp[0].armorPiece = "Head";
                        armProp[0].armorTier = 2;
                        armProp[0].offset = offset;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 15;

                        armProp[1].sprite = ModAPI.LoadSprite("assets/nu7/nu7middle.png");
                        armProp[1].armorPiece = "MiddleBody";
                        armProp[1].armorTier = 2;
                        armProp[1].offset = offset;
                        armProp[1].scaleOffset = scaleOffset;
                        armProp[1].armorPoints = 15;

                        armProp[2].sprite = ModAPI.LoadSprite("assets/nu7/nu7lower.png");
                        armProp[2].armorPiece = "LowerBody";
                        armProp[2].armorTier = 2;
                        armProp[2].offset = offset;
                        armProp[2].scaleOffset = scaleOffset;
                        armProp[2].armorPoints = 15;

                        armProp[3].sprite = ModAPI.LoadSprite("assets/nu7/nu7upperarm.png");
                        armProp[3].armorPiece = "UpperArm";
                        armProp[3].armorTier = 2;
                        armProp[3].offset = offset;
                        armProp[3].scaleOffset = scaleOffset;
                        armProp[3].clone = true;
                        armProp[3].armorPoints = 15;

                        armProp[4].sprite = ModAPI.LoadSprite("assets/nu7/nu7upperleg.png");
                        armProp[4].armorPiece = "UpperLeg";
                        armProp[4].armorTier = 2;
                        armProp[4].offset = offset;
                        armProp[4].scaleOffset = scaleOffset;
                        armProp[4].clone = true;
                        armProp[4].armorPoints = 15;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(SCPPE) Beta-7 Armor",
                    DescriptionOverride = "Beta-7 Chest Armor.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/beta7equipment.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("assets/beta7/beta7upper.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 3;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        Vector3 offset = new Vector3(.00f, 0);
                        Vector3 scaleOffset = new Vector3(.00f, .00f);

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 2;
                        prop.sprite = ModAPI.LoadSprite("assets/beta7/beta7upper.png");
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 20;

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("assets/beta7/beta7gasmask.png");
                        armProp[0].armorPiece = "Head";
                        armProp[0].armorTier = 2;
                        armProp[0].offset = offset;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 15;

                        armProp[1].sprite = ModAPI.LoadSprite("assets/beta7/beta7middle.png");
                        armProp[1].armorPiece = "MiddleBody";
                        armProp[1].armorTier = 2;
                        armProp[1].offset = offset;
                        armProp[1].scaleOffset = scaleOffset;
                        armProp[1].armorPoints = 15;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(SCPPE) Epsilon-9 Armor",
                    DescriptionOverride = "Epsilon-9 chest armor and a specially made helmet made specifically for Epsilon-9.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/epsilon9equipment.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("assets/epsilon9/epsilon9upper.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 3;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        Vector3 offset = new Vector3(.00f, 0);
                        Vector3 scaleOffset = new Vector3(.00f, .00f);

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 2;
                        prop.sprite = ModAPI.LoadSprite("assets/epsilon9/epsilon9upper.png");
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 20;

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("assets/epsilon9/epsilon9helmet.png");
                        armProp[0].armorPiece = "Head";
                        armProp[0].armorTier = 2;
                        armProp[0].offset = offset;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 15;

                        armProp[1].sprite = ModAPI.LoadSprite("assets/epsilon9/epsilon9middle.png");
                        armProp[1].armorPiece = "MiddleBody";
                        armProp[1].armorTier = 2;
                        armProp[1].offset = offset;
                        armProp[1].scaleOffset = scaleOffset;
                        armProp[1].armorPoints = 15;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(SCPPE) Zeta-9 Armor",
                    DescriptionOverride = "Zeta-9 chest armor and a specially made helmet made specifically for Zeta-9.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/zeta9equipment.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("assets/zeta9/zeta9upper.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 4;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        Vector3 offset = new Vector3(.00f, 0);
                        Vector3 scaleOffset = new Vector3(.00f, .00f);

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 2;
                        prop.sprite = ModAPI.LoadSprite("assets/zeta9/zeta9upper.png");
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 20;

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("assets/zeta9/zeta9helmet.png");
                        armProp[0].armorPiece = "Head";
                        armProp[0].armorTier = 2;
                        armProp[0].offset = offset;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 15;

                        armProp[1].sprite = ModAPI.LoadSprite("assets/zeta9/zeta9middle.png");
                        armProp[1].armorPiece = "MiddleBody";
                        armProp[1].armorTier = 2;
                        armProp[1].offset = offset;
                        armProp[1].scaleOffset = scaleOffset;
                        armProp[1].armorPoints = 15;

                        armProp[2].sprite = ModAPI.LoadSprite("assets/zeta9/zeta9lower.png");
                        armProp[2].armorPiece = "LowerBody";
                        armProp[2].armorTier = 2;
                        armProp[2].offset = offset;
                        armProp[2].scaleOffset = scaleOffset;
                        armProp[2].armorPoints = 15;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(SCPPE) Field Agent Armor",
                    DescriptionOverride = "Field Agent chest armor and a cap.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/fieldagentequipment.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("assets/dea/fieldagentupper.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 4;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        Vector3 offset = new Vector3(.00f, 0);
                        Vector3 scaleOffset = new Vector3(.00f, .00f);

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 2;
                        prop.sprite = ModAPI.LoadSprite("assets/dea/fieldagentupper.png");
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 20;

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("assets/dea/fieldagenthat.png");
                        armProp[0].armorPiece = "Head";
                        armProp[0].armorTier = 2;
                        armProp[0].offset = offset;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 15;

                        armProp[1].sprite = ModAPI.LoadSprite("assets/dea/fieldagentmiddle.png");
                        armProp[1].armorPiece = "MiddleBody";
                        armProp[1].armorTier = 2;
                        armProp[1].offset = offset;
                        armProp[1].scaleOffset = scaleOffset;
                        armProp[1].armorPoints = 15;

                        armProp[2].sprite = ModAPI.LoadSprite("assets/dea/fieldagentlower.png");
                        armProp[2].armorPiece = "LowerBody";
                        armProp[2].armorTier = 2;
                        armProp[2].offset = offset;
                        armProp[2].scaleOffset = scaleOffset;
                        armProp[2].armorPoints = 15;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(SCPPE) Consealer Shades",
                    DescriptionOverride = "Undercover shades used by foundation consealers unit.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/consealershades.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("assets/dea/consealershades.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 1;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        Vector3 offset = new Vector3(.00f, 0);
                        Vector3 scaleOffset = new Vector3(.00f, .00f);

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "Head";
                        prop.armorTier = 2;
                        prop.sprite = ModAPI.LoadSprite("assets/dea/consealershades.png");
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 20;

                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }

                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(SCPPE) Omega-1 Armor",
                    DescriptionOverride = "MTF chest armor, limb protection, and a specially made helmet for Omega-1.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/omega1armor.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("assets/ethics/omega1upper.png");

                        int PartCount = 6;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        Vector3 offset = new Vector3(.00f, 0);
                        Vector3 scaleOffset = new Vector3(.00f, .00f);

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 2;
                        prop.sprite = ModAPI.LoadSprite("assets/ethics/omega1upper.png");
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 20;

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("assets/ethics/omega1helmet.png");
                        armProp[0].armorPiece = "Head";
                        armProp[0].armorTier = 2;
                        armProp[0].offset = offset;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 15;

                        armProp[1].sprite = ModAPI.LoadSprite("assets/ethics/omega1middle.png");
                        armProp[1].armorPiece = "MiddleBody";
                        armProp[1].armorTier = 2;
                        armProp[1].offset = offset;
                        armProp[1].scaleOffset = scaleOffset;
                        armProp[1].armorPoints = 15;

                        armProp[2].sprite = ModAPI.LoadSprite("assets/ethics/omega1lower.png");
                        armProp[2].armorPiece = "LowerBody";
                        armProp[2].armorTier = 2;
                        armProp[2].offset = offset;
                        armProp[2].scaleOffset = scaleOffset;
                        armProp[2].armorPoints = 15;

                        armProp[3].sprite = ModAPI.LoadSprite("assets/ethics/omega1upperarm.png");
                        armProp[3].armorPiece = "UpperArm";
                        armProp[3].armorTier = 2;
                        armProp[3].offset = offset;
                        armProp[3].scaleOffset = scaleOffset;
                        armProp[3].clone = true;
                        armProp[3].armorPoints = 15;

                        armProp[4].sprite = ModAPI.LoadSprite("assets/ethics/omega1upperleg.png");
                        armProp[4].armorPiece = "UpperLeg";
                        armProp[4].armorTier = 2;
                        armProp[4].offset = offset;
                        armProp[4].scaleOffset = scaleOffset;
                        armProp[4].clone = true;
                        armProp[4].armorPoints = 15;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(SCPPE) GOC Quartermaster Safety Equipment",
                    DescriptionOverride = "A Global Occult Coalition utility safety helmet.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/gocutilityequipment.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("assets/goc/gocutilityhelmet.png");

                        int PartCount = 1;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        Vector3 offset = new Vector3(.00f, 0);
                        Vector3 scaleOffset = new Vector3(.00f, .00f);

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "Head";
                        prop.armorTier = 2;
                        prop.sprite = ModAPI.LoadSprite("assets/goc/gocutilityhelmet.png");
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 20;

                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }

                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(SCPPE) GOC Standard Armor",
                    DescriptionOverride = "Ballistic vest and a Global Occult Coalition helmet.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/gocarmor.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("assets/goc/gocupper.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 4;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        Vector3 offset = new Vector3(.00f, 0);
                        Vector3 scaleOffset = new Vector3(.00f, .00f);

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 2;
                        prop.sprite = ModAPI.LoadSprite("assets/goc/gocupper.png");
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 20;

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("assets/goc/gocsoldierhelmet.png");
                        armProp[0].armorPiece = "Head";
                        armProp[0].armorTier = 2;
                        armProp[0].offset = offset;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 15;

                        armProp[1].sprite = ModAPI.LoadSprite("assets/goc/gocmiddle.png");
                        armProp[1].armorPiece = "MiddleBody";
                        armProp[1].armorTier = 2;
                        armProp[1].offset = offset;
                        armProp[1].scaleOffset = scaleOffset;
                        armProp[1].armorPoints = 15;

                        armProp[2].sprite = ModAPI.LoadSprite("assets/goc/goclower.png");
                        armProp[2].armorPiece = "LowerBody";
                        armProp[2].armorTier = 2;
                        armProp[2].offset = offset;
                        armProp[2].scaleOffset = scaleOffset;
                        armProp[2].armorPoints = 15;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(SCPPE) GOC Heavy Soldier Armor",
                    DescriptionOverride = "Ballistic vest, heavy arm and leg armor, and heavy GOC helmet.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/heavygocarmor.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("assets/goc/gocupper.png");

                        int PartCount = 6;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        Vector3 offset = new Vector3(.00f, 0);
                        Vector3 scaleOffset = new Vector3(.00f, .00f);

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 2;
                        prop.sprite = ModAPI.LoadSprite("assets/goc/gocupper.png");
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 20;

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("assets/goc/gocheavyhelmet.png");
                        armProp[0].armorPiece = "Head";
                        armProp[0].armorTier = 2;
                        armProp[0].offset = offset;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 15;

                        armProp[1].sprite = ModAPI.LoadSprite("assets/goc/gocmiddle.png");
                        armProp[1].armorPiece = "MiddleBody";
                        armProp[1].armorTier = 2;
                        armProp[1].offset = offset;
                        armProp[1].scaleOffset = scaleOffset;
                        armProp[1].armorPoints = 15;

                        armProp[2].sprite = ModAPI.LoadSprite("assets/goc/goclower.png");
                        armProp[2].armorPiece = "LowerBody";
                        armProp[2].armorTier = 2;
                        armProp[2].offset = offset;
                        armProp[2].scaleOffset = scaleOffset;
                        armProp[2].armorPoints = 15;

                        armProp[3].sprite = ModAPI.LoadSprite("assets/goc/gocupperarm.png");
                        armProp[3].armorPiece = "UpperArm";
                        armProp[3].armorTier = 2;
                        armProp[3].offset = offset;
                        armProp[3].scaleOffset = scaleOffset;
                        armProp[3].clone = true;
                        armProp[3].armorPoints = 15;

                        armProp[4].sprite = ModAPI.LoadSprite("assets/goc/gocupperleg.png");
                        armProp[4].armorPiece = "UpperLeg";
                        armProp[4].armorTier = 2;
                        armProp[4].offset = offset;
                        armProp[4].scaleOffset = scaleOffset;
                        armProp[4].clone = true;
                        armProp[4].armorPoints = 15;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(SCPPE) GOC Task Force Armor",
                    DescriptionOverride = "Ballistic vest and a Global Occult Coalition task force helmet.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/goctaskforcearmor.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("assets/goc/goctaskforceupper.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 4;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        Vector3 offset = new Vector3(.00f, 0);
                        Vector3 scaleOffset = new Vector3(.00f, .00f);

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 2;
                        prop.sprite = ModAPI.LoadSprite("assets/goc/goctaskforceupper.png");
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 20;

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("assets/goc/goctaskforcehelmet.png");
                        armProp[0].armorPiece = "Head";
                        armProp[0].armorTier = 2;
                        armProp[0].offset = offset;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 15;

                        armProp[1].sprite = ModAPI.LoadSprite("assets/goc/goctaskforcemiddle.png");
                        armProp[1].armorPiece = "MiddleBody";
                        armProp[1].armorTier = 2;
                        armProp[1].offset = offset;
                        armProp[1].scaleOffset = scaleOffset;
                        armProp[1].armorPoints = 15;

                        armProp[2].sprite = ModAPI.LoadSprite("assets/goc/goctaskforcelower.png");
                        armProp[2].armorPiece = "LowerBody";
                        armProp[2].armorTier = 2;
                        armProp[2].offset = offset;
                        armProp[2].scaleOffset = scaleOffset;
                        armProp[2].armorPoints = 15;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(SCPPE) Chaos Standard Armor",
                    DescriptionOverride = "Ballistic vest and a Chaos Insurgency helmet.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/chaosarmor.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("assets/items/chaosupperarmor.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 4;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        Vector3 offset = new Vector3(.00f, 0);
                        Vector3 scaleOffset = new Vector3(.00f, .00f);

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 2;
                        prop.sprite = ModAPI.LoadSprite("assets/items/chaosupperarmor.png");
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 20;

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("assets/items/chaoshelmet.png");
                        armProp[0].armorPiece = "Head";
                        armProp[0].armorTier = 2;
                        armProp[0].offset = offset;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 15;

                        armProp[1].sprite = ModAPI.LoadSprite("assets/items/chaosmiddlearmor.png");
                        armProp[1].armorPiece = "MiddleBody";
                        armProp[1].armorTier = 2;
                        armProp[1].offset = offset;
                        armProp[1].scaleOffset = scaleOffset;
                        armProp[1].armorPoints = 15;

                        armProp[2].sprite = ModAPI.LoadSprite("assets/items/chaoslowerarmor.png");
                        armProp[2].armorPiece = "LowerBody";
                        armProp[2].armorTier = 2;
                        armProp[2].offset = offset;
                        armProp[2].scaleOffset = scaleOffset;
                        armProp[2].armorPoints = 15;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(SCPPE) Chaos Heavy Soldier Armor",
                    DescriptionOverride = "Ballistic vest, heavy arm and leg armor, and heavy Chaos Insurgency helmet.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/heavychaosarmor.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("assets/items/chaosupperarmor.png");

                        int PartCount = 6;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        Vector3 offset = new Vector3(.00f, 0);
                        Vector3 scaleOffset = new Vector3(.00f, .00f);

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 2;
                        prop.sprite = ModAPI.LoadSprite("assets/items/chaosupperarmor.png");
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 20;

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("assets/items/chaosheavyhelmet.png");
                        armProp[0].armorPiece = "Head";
                        armProp[0].armorTier = 2;
                        armProp[0].offset = offset;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 15;

                        armProp[1].sprite = ModAPI.LoadSprite("assets/items/chaosmiddlearmor.png");
                        armProp[1].armorPiece = "MiddleBody";
                        armProp[1].armorTier = 2;
                        armProp[1].offset = offset;
                        armProp[1].scaleOffset = scaleOffset;
                        armProp[1].armorPoints = 15;

                        armProp[2].sprite = ModAPI.LoadSprite("assets/items/chaoslowerarmor.png");
                        armProp[2].armorPiece = "LowerBody";
                        armProp[2].armorTier = 2;
                        armProp[2].offset = offset;
                        armProp[2].scaleOffset = scaleOffset;
                        armProp[2].armorPoints = 15;

                        armProp[3].sprite = ModAPI.LoadSprite("assets/items/chaosheavyupperarm.png");
                        armProp[3].armorPiece = "UpperArm";
                        armProp[3].armorTier = 2;
                        armProp[3].offset = offset;
                        armProp[3].scaleOffset = scaleOffset;
                        armProp[3].clone = true;
                        armProp[3].armorPoints = 15;

                        armProp[4].sprite = ModAPI.LoadSprite("assets/items/chaosheavyupperleg.png");
                        armProp[4].armorPiece = "UpperLeg";
                        armProp[4].armorTier = 2;
                        armProp[4].offset = offset;
                        armProp[4].scaleOffset = scaleOffset;
                        armProp[4].clone = true;
                        armProp[4].armorPoints = 15;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(SCPPE) Chaos Officer Hat",
                    DescriptionOverride = "A Chaos Insurgency officer hat.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/chaosofficerarmor.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("assets/items/chaosofficerhat.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 1;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        Vector3 offset = new Vector3(.00f, 0);
                        Vector3 scaleOffset = new Vector3(.00f, .00f);

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "Head";
                        prop.armorTier = 2;
                        prop.sprite = ModAPI.LoadSprite("assets/items/chaosofficerhat.png");
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 20;

                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }

                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(SCPPE) Serpent Standard Armor",
                    DescriptionOverride = "Small tactical vest and a belt for equipment.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/serpentarmor.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("assets/items/serpentupperarmor.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 3;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        Vector3 offset = new Vector3(.00f, 0);
                        Vector3 scaleOffset = new Vector3(.00f, .00f);

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 2;
                        prop.sprite = ModAPI.LoadSprite("assets/items/serpentupperarmor.png");
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 20;

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("assets/items/serpentmiddlearmor.png");
                        armProp[0].armorPiece = "MiddleBody";
                        armProp[0].armorTier = 2;
                        armProp[0].offset = offset;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 15;

                        armProp[1].sprite = ModAPI.LoadSprite("assets/items/serpentlowerarmor.png");
                        armProp[1].armorPiece = "LowerBody";
                        armProp[1].armorTier = 2;
                        armProp[1].offset = offset;
                        armProp[1].scaleOffset = scaleOffset;
                        armProp[1].armorPoints = 15;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(SCPPE) UIU Standard Armor",
                    DescriptionOverride = "Ballistic vest and a standard Unsual Incidents Unit helmet.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/uiuarmor.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("assets/uiu/fbiupper.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 4;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        Vector3 offset = new Vector3(.00f, 0);
                        Vector3 scaleOffset = new Vector3(.00f, .00f);

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 2;
                        prop.sprite = ModAPI.LoadSprite("assets/uiu/fbiupperbody.png");
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 20;

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("assets/uiu/fbihelmet.png");
                        armProp[0].armorPiece = "Head";
                        armProp[0].armorTier = 2;
                        armProp[0].offset = offset;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 15;

                        armProp[1].sprite = ModAPI.LoadSprite("assets/uiu/fbimiddle.png");
                        armProp[1].armorPiece = "MiddleBody";
                        armProp[1].armorTier = 2;
                        armProp[1].offset = offset;
                        armProp[1].scaleOffset = scaleOffset;
                        armProp[1].armorPoints = 15;

                        armProp[2].sprite = ModAPI.LoadSprite("assets/uiu/fbilower.png");
                        armProp[2].armorPiece = "LowerBody";
                        armProp[2].armorTier = 2;
                        armProp[2].offset = offset;
                        armProp[2].scaleOffset = scaleOffset;
                        armProp[2].armorPoints = 15;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(SCPPE) UIU Heavy Armor",
                    DescriptionOverride = "Ballistic vest, heavy arm and leg armor, and heavy UIU helmet.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/heavyfbiarmor.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("assets/uiu/fbiupper.png");

                        int PartCount = 6;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        Vector3 offset = new Vector3(.00f, 0);
                        Vector3 scaleOffset = new Vector3(.00f, .00f);

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("assets/uiu/fbiupper.png");
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 15;

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("assets/uiu/fbiheavyhelmet.png");
                        armProp[0].armorPiece = "Head";
                        armProp[0].armorTier = 2;
                        armProp[0].offset = offset;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 10;

                        armProp[1].sprite = ModAPI.LoadSprite("assets/uiu/fbimiddle.png");
                        armProp[1].armorPiece = "MiddleBody";
                        armProp[1].armorTier = 3;
                        armProp[1].offset = offset;
                        armProp[1].scaleOffset = scaleOffset;
                        armProp[1].armorPoints = 15;

                        armProp[2].sprite = ModAPI.LoadSprite("assets/uiu/fbilower.png");
                        armProp[2].armorPiece = "LowerBody";
                        armProp[2].armorTier = 3;
                        armProp[2].offset = offset;
                        armProp[2].scaleOffset = scaleOffset;
                        armProp[2].armorPoints = 15;

                        armProp[3].sprite = ModAPI.LoadSprite("assets/uiu/fbiupperarm.png");
                        armProp[3].armorPiece = "UpperArm";
                        armProp[3].armorTier = 1;
                        armProp[3].offset = offset;
                        armProp[3].scaleOffset = scaleOffset;
                        armProp[3].clone = true;
                        armProp[3].armorPoints = 10;

                        armProp[4].sprite = ModAPI.LoadSprite("assets/uiu/fbiupperleg.png");
                        armProp[4].armorPiece = "UpperLeg";
                        armProp[4].armorTier = 0;
                        armProp[4].offset = offset;
                        armProp[4].scaleOffset = scaleOffset;
                        armProp[4].clone = true;
                        armProp[4].armorPoints = 5;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(SCPPE) UIU Medic Armor",
                    DescriptionOverride = "Ballistic vest and a medical Unsual Incidents Unit helmet.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/uiumedicalarmor.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("assets/uiu/fbiupper.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 4;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        Vector3 offset = new Vector3(.00f, 0);
                        Vector3 scaleOffset = new Vector3(.00f, .00f);

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 2;
                        prop.sprite = ModAPI.LoadSprite("assets/uiu/fbiupperbody.png");
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 20;

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("assets/uiu/fbimedichelmet.png");
                        armProp[0].armorPiece = "Head";
                        armProp[0].armorTier = 2;
                        armProp[0].offset = offset;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 15;

                        armProp[1].sprite = ModAPI.LoadSprite("assets/uiu/fbimiddle.png");
                        armProp[1].armorPiece = "MiddleBody";
                        armProp[1].armorTier = 2;
                        armProp[1].offset = offset;
                        armProp[1].scaleOffset = scaleOffset;
                        armProp[1].armorPoints = 15;

                        armProp[2].sprite = ModAPI.LoadSprite("assets/uiu/fbilower.png");
                        armProp[2].armorPiece = "LowerBody";
                        armProp[2].armorTier = 2;
                        armProp[2].offset = offset;
                        armProp[2].scaleOffset = scaleOffset;
                        armProp[2].armorPoints = 15;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(SCPPE) UIU Undercover Glasses",
                    DescriptionOverride = "Undercover glasses used by undercover UIU unit.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/undercoverglasses.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("assets/uiu/fbiglasses.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 1;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        Vector3 offset = new Vector3(.00f, 0);
                        Vector3 scaleOffset = new Vector3(.00f, .00f);

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "Head";
                        prop.armorTier = 2;
                        prop.sprite = ModAPI.LoadSprite("assets/uiu/fbiglasses.png");
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 20;

                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }

                        Instance.FixColliders();
                    }
                }
            );
///////////////////////////
//////////ITEMS////////////
///////////////////////////
                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(SCPPE) Standard Gasmask",
                    DescriptionOverride = "Standard usage gasmask for personnel during a biological or chemical hazard incident (particularly when CBRN suits are not available), provides top-of-the-line protection from biocontaminants and chemicals.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/gasmask.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("assets/items/gasmask.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 2;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        Vector3 offset = new Vector3(.00f, 0);
                        Vector3 scaleOffset = new Vector3(.00f, 0);

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "Head";
                        prop.armorTier = 1;
                        prop.sprite = ModAPI.LoadSprite("assets/items/gasmask.png");
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 30;

                        armor.prop = prop;
                        armor.SetProperties();

                        Instance.FixColliders();
                    }
                }
            );
                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(SCPPE) Standard Dust/Smoke Mask",
                    DescriptionOverride = "Standard usage dust and smoke masks for personnel in the case of a large fire, structural collapse, or subterranean operations, providing top-of-the-line dust and smoke protection.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/dusk_smokemask.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("assets/items/dusk_smokemask.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 2;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        Vector3 offset = new Vector3(.00f, 0);
                        Vector3 scaleOffset = new Vector3(.00f, 0);

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "Head";
                        prop.armorTier = 1;
                        prop.sprite = ModAPI.LoadSprite("assets/items/dusk_smokemask.png");
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 30;

                        armor.prop = prop;
                        armor.SetProperties();

                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(SCPPE) Handcuffs", 
                    NameToOrderByOverride = "B",
                    DescriptionOverride = "Used to subdue and detain someone.", 
                    CategoryOverride = ModAPI.FindCategory("SCPPE"), 
                    ThumbnailOverride = ModAPI.LoadSprite("icon/handcuffs.png"),
                    AfterSpawn = (Instance) => 
                    {
                        int PartCount = 2;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "LowerArm";
                        prop.armorTier = 4;
                        prop.armorPoints = 5;
                        prop.sprite = ModAPI.LoadSprite("assets/items/handcuffs.png");

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].armorPiece = "LowerArmFront";
                        armProp[0].armorTier = 4;
                        armProp[0].armorPoints = 5;
                        armProp[0].sprite = ModAPI.LoadSprite("assets/items/handcuffs.png");

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "(SCPPE) Multipurpose Field Radio",
                    DescriptionOverride = "A multipurpose field radio that can communicate with other field radios as well as listen to radio waves in the surrounding areas.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/fieldradio.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("assets/items/fieldradio.png");

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "(SCPPE) Pain Killers",
                    DescriptionOverride = "It's used to ease pain and discomfort. Infections are not relieved, and wounds are not healed.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/painkillers.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("assets/items/painkillers.png");

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "(SCPPE) First Aid Kit",
                    DescriptionOverride = "Used to treat minor physical wounds, may or may not ease pain and discomfort based on the wound.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/medkit.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("assets/items/medkit.png");

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "(SCPPE) Medical Kit",
                    DescriptionOverride = "Used to treat major physical wounds, may or may not ease pain and discomfort based on the wound.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/medbag.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("assets/items/medbag.png");

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "(SCPPE) Disarmer",
                    DescriptionOverride = "Used to disarm somebody of their weapons and equipment.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/disarmer.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("assets/items/disarmer.png");

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.FixColliders();
                    }
                }
            );
        }
    }
}